﻿:root {
  --first-tone: var(--accent);
  --second-tone: color-mix(in srgb, var(--accent) 70%, transparent);
  --comment: color-mix(in srgb, var(--foreground) 50%, transparent);
}
.chroma {
  overflow: auto;
}
.chroma .lnlinks {
  outline: none;
  text-decoration: none;
  color: inherit;
}
.chroma .lntd {
  width: 100%;
  vertical-align: top;
  padding: 0;
  margin: 0;
  border: 0;
}
.chroma .lntd:first-child {
  width: auto;
}
.chroma .lntd code {
  display: grid;
}
.chroma .lntable {
  width: 100%;
  border-spacing: 0;
  padding: 0;
  margin: 0;
  border: 0;
}
.chroma .hl {
  background-color: color-mix(in srgb, var(--foreground) 5%, transparent) !important;
}
.chroma .lnt {
  color: var(--comment);
  white-space: pre;
  -webkit-user-select: none;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  padding: 0 10px;
}
.chroma .ln {
  color: var(--comment);
  white-space: pre;
  -webkit-user-select: none;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  margin-right: 0.8em;
  padding: 0 0.4em 0 0;
}
.chroma .line {
  display: flex;
  padding: 0 10px;
}
.chroma .nc {
  color: var(--foreground);
}
.chroma .language-php .cp {
  color: var(--foreground);
}
.chroma .n {
  color: var(--first-tone);
}
.chroma .nb {
  color: var(--first-tone);
}
.chroma .bp {
  color: var(--first-tone);
}
.chroma .no {
  color: var(--first-tone);
}
.chroma .nd {
  color: var(--first-tone);
}
.chroma .ni {
  color: var(--first-tone);
}
.chroma .ne {
  color: var(--first-tone);
}
.chroma .nf {
  color: var(--first-tone);
}
.chroma .fm {
  color: var(--first-tone);
}
.chroma .nl {
  color: var(--first-tone);
}
.chroma .nn {
  color: var(--first-tone);
}
.chroma .nx {
  color: var(--first-tone);
}
.chroma .py {
  color: var(--first-tone);
}
.chroma .nt {
  color: var(--first-tone);
}
.chroma .nv {
  color: var(--first-tone);
}
.chroma .vc {
  color: var(--first-tone);
}
.chroma .vg {
  color: var(--first-tone);
}
.chroma .vi {
  color: var(--first-tone);
}
.chroma .vm {
  color: var(--first-tone);
}
.chroma .m {
  color: var(--first-tone);
}
.chroma .mb {
  color: var(--first-tone);
}
.chroma .mf {
  color: var(--first-tone);
}
.chroma .mh {
  color: var(--first-tone);
}
.chroma .mi {
  color: var(--first-tone);
}
.chroma .il {
  color: var(--first-tone);
}
.chroma .mo {
  color: var(--first-tone);
}
.chroma .gd {
  color: var(--first-tone);
}
.chroma .k {
  color: var(--second-tone);
}
.chroma .kc {
  color: var(--second-tone);
}
.chroma .kd {
  color: var(--second-tone);
}
.chroma .kn {
  color: var(--second-tone);
}
.chroma .kp {
  color: var(--second-tone);
}
.chroma .kr {
  color: var(--second-tone);
}
.chroma .kt {
  color: var(--second-tone);
}
.chroma .na {
  color: var(--second-tone);
}
.chroma .gi {
  color: var(--second-tone);
}
.chroma .s {
  color: var(--foreground);
}
.chroma .sa {
  color: var(--foreground);
}
.chroma .sb {
  color: var(--foreground);
}
.chroma .sc {
  color: var(--foreground);
}
.chroma .dl {
  color: var(--foreground);
}
.chroma .sd {
  color: var(--foreground);
}
.chroma .s2 {
  color: var(--foreground);
}
.chroma .se {
  color: var(--foreground);
}
.chroma .sh {
  color: var(--foreground);
}
.chroma .si {
  color: var(--foreground);
}
.chroma .sx {
  color: var(--foreground);
}
.chroma .sr {
  color: var(--foreground);
}
.chroma .s1 {
  color: var(--foreground);
}
.chroma .ss {
  color: var(--foreground);
}
.chroma .o {
  color: var(--foreground);
}
.chroma .ow {
  color: var(--foreground);
}
.chroma .p {
  color: var(--foreground);
}
.chroma .c {
  color: var(--comment);
}
.chroma .ch {
  color: var(--comment);
}
.chroma .cm {
  color: var(--comment);
}
.chroma .c1 {
  color: var(--comment);
}
.chroma .cs {
  color: var(--comment);
}
.chroma .cp {
  color: var(--comment);
}
.chroma .cpf {
  color: var(--comment);
}